---
title: WebSocket.protocol
slug: Web/API/WebSocket/protocol
tags:
  - API
  - Property
  - Reference
  - Web API
  - WebSocket
---
<p>{{APIRef("Web Sockets API")}}</p>

<p>The <strong><code>WebSocket.protocol</code></strong> read-only property returns the name of the sub-protocol the server selected; this will be one of the strings specified in the <code>protocols</code> parameter when creating the {{domxref("WebSocket")}} object, or the empty string if no connection is established.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var protocol = <em>aWebSocket</em>.protocol;</pre>

<h2 id="Value">Value</h2>

<p>A <a href="/en-US/docs/Web/API/DOMString" title="DOMString is a UTF-16 String. As JavaScript already uses such strings, DOMString is mapped directly to a String."><code>DOMString</code></a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-websocket-protocol', 'WebSocket: protocol')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebSocket.protocol")}}</p>
